Debian Bug report logs - #300837
d-i: What is Probed?

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>

Date: Tue, 22 Mar 2005 07:03:04 UTC

Severity: wishlist

Done: Matthew Palmer <mpalmer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#300837; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>
To: submit@bugs.debian.org
Subject: Wishlist: Disclose MAC Address and What is Probed?
Date: Tue, 22 Mar 2005 13:55:55 +0700
[Message part 1 (text/plain, inline)]
Package: installation-reports
Severity: wishlist

A couple of times, I have been told by some users that they are
required to inform/register their MAC addresses before using DHCP.
Is it possible in the future, that the installer displays the
MAC address of the network card (and WiFi)?

Moreover, is it possible to disclose, whatever port/address 
the installer probes/scans?

-- 
Rahmat M.  Samik-Ibrahim -- vLSM.org  -- http://rms46.vLSM.org/ --
Fetch my GNUPG public key at http://rms46.vlsm.org/pgp/pub.txt ---


[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `installation-reports' to `netcfg'. Request was from Frans Pop <aragorn@tiscali.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#300837; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 300837@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>, 300837@bugs.debian.org
Subject: Re: Bug#300837: Wishlist: Disclose MAC Address and What is Probed?
Date: Tue, 22 Mar 2005 10:51:15 +0100
[Message part 1 (text/plain, inline)]
On Tue, Mar 22, 2005 at 01:55:55PM +0700, Rahmat M. Samik-Ibrahim wrote:
> Moreover, is it possible to disclose, whatever port/address 
> the installer probes/scans?

Please define "port/address"?

Bastian

-- 
Either one of us, by himself, is expendable.  Both of us are not.
		-- Kirk, "The Devil in the Dark", stardate 3196.1
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `netcfg' to `netcfg'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#300837; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 300837@bugs.debian.org (full text, mbox):

From: "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>
To: 300837@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>
Subject: Re: Bug#300837: Wishlist: Disclose MAC Address and What is Probed?
Date: Wed, 23 Mar 2005 10:04:49 +0700
[Message part 1 (text/plain, inline)]
>> Moreover, is it possible to disclose, whatever port/address 
>> the installer probes/scans?
> Please define "port/address"?

This request was for the "debian-installer" in general.
Basically, some network administrators would like to know about
how a software is "poking" the network:

Eg: 
- The DHCP would run at port 67 and 68 (UDP)?
- How many times would the debian-installer send a broadcast
  message? How would be the retry period?
- Will the debian-installer scan/probe certain ports like http and ftp?

-- 
Rahmat M.  Samik-Ibrahim -- vLSM.org  -- http://rms46.vLSM.org/ --
Fetch my GNUPG public key at http://rms46.vlsm.org/pgp/pub.txt ---


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#300837; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 300837@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>, 300837@bugs.debian.org
Subject: Re: Bug#300837: Wishlist: Disclose MAC Address and What is Probed?
Date: Wed, 23 Mar 2005 19:08:58 +0100
On Wednesday 23 March 2005 04:04, Rahmat M. Samik-Ibrahim wrote:
> This request was for the "debian-installer" in general.
> Basically, some network administrators would like to know about
> how a software is "poking" the network:

One option is to document some of this in the d-i manual.
A patch from the authors/maintainers of netcfg for this would be welcome.

Cheers,
FJP



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#300837; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to stappers@stappers.nl (Geert Stappers):
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 300837@bugs.debian.org (full text, mbox):

From: stappers@stappers.nl (Geert Stappers)
To: 300837@bugs.debian.org
Cc: "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>
Subject: Re: Bug#300837: What is Probed?
Date: Thu, 24 Mar 2005 10:33:30 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Wed, Mar 23, 2005 at 07:08:58PM +0100, Frans Pop wrote:
> On Wednesday 23 March 2005 04:04, Rahmat M. Samik-Ibrahim wrote:
> > This request was for the "debian-installer" in general.
> > Basically, some network administrators would like to know about
> > how a software is "poking" the network:
> 
> One option is to document some of this in the d-i manual.
> A patch from the authors/maintainers of netcfg for this would be welcome.

It is allready there. The manual states that DHCP is used.
The user decides how to continue (HTTP, FTP or CD-ROM)

IMNSHO this wishlist bugreport sucks.

The request of displaying the MAC address can be argued about.
But the "What does that new system on my network???" is silly.
Debian-installer does use well documented open protocols,
that is unlike some properity software vendors do.

d-i is a node on your network that you can trust.
There is no "phone home".
It is surely _not_ the first rotten apple in the basket.


Cheers
Geert Stappers

P.S.  for those who feel offended:
Ignoring this bugreport would be a real insult

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFCQokROSINbgwa/7sRAiRQAJ9+g1zd1VkvwOsGl9q3YQJFfmnRgQCgkI/P
rDkLhEzAxttNg968K/INDA4=
=JrD1
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#300837; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 300837@bugs.debian.org (full text, mbox):

From: "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>
To: 300837@bugs.debian.org
Cc: Geert Stappers <stappers@stappers.nl>
Subject: Re: Bug#300837: What is Probed?
Date: Thu, 24 Mar 2005 20:40:32 +0700
[Message part 1 (text/plain, inline)]
> IMNSHO this wishlist bugreport sucks.

Unfortunately, there exists many sucking and silly network 
administrators :(. They want to know many silly things in detail and
in advance. For example, how many DHCP DISCOVER are sent, how long
is the timeout, etc. I even know a place where ONE SINGLE unauthorized  
probe (eg. port 80) will be recorded as an incident.

Anyway, there will be always an option to use the network, in the way
that is recommended by the netadmin instead of using Debian. Right? 

regards,

-- 
Rahmat M.  Samik-Ibrahim -- vLSM.org  -- http://rms46.vLSM.org/ --
Fetch my GNUPG public key at http://rms46.vlsm.org/pgp/pub.txt ---


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#300837; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 300837@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Geert Stappers <stappers@stappers.nl>
Cc: 300837@bugs.debian.org, "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>
Subject: Re: Bug#300837: What is Probed?
Date: Fri, 16 Feb 2007 19:07:43 +0100
On Thu, Mar 24, 2005 at 10:33:30AM +0100, Geert Stappers wrote:
> The request of displaying the MAC address can be argued about.

I got a usecase yesterday for this: a dual port ethernet card.
Same label, and no way to know which interface is which. (and with
#248061 not fixed, it doesn't help).

OTOH, I knew which MAC was connected in which VLAN, because I had
this information from the switch.

This is not uncommon in datacentres.

Mike

PS: It was even worse, there were 2 dual port etherned cards, only
difference between the two being the "(Copper)" added at the end of the
label for the second set of labels.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#300837; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to stappers@stappers.nl (Geert Stappers):
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 300837@bugs.debian.org (full text, mbox):

From: stappers@stappers.nl (Geert Stappers)
To: 300837@bugs.debian.org
Cc: "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>
Subject: Re: Bug#300837: Disclose MAC Address and What is Probed?
Date: Sun, 18 Feb 2007 13:45:56 +0100
Op 16-02-2007 om 19:07 schreef Mike Hommey:
> On Thu, Mar 24, 2005 at 10:33:30AM +0100, Geert Stappers wrote:
> > The request of displaying the MAC address can be argued about.
> 
> I got a usecase yesterday for this: a dual port ethernet card.
<bigsnip/>

FYI:

I have been re-reading http://bugs.debian.org/300837

I gonna do what I last year didn't do:

   Split this bugreport.


Cheers
Geert Stappers



Changed Bug title. Request was from stappers@stappers.nl (Geert Stappers) to control@bugs.debian.org. Full text and rfc822 format available.

Bug 300837 cloned as bug 411367. Request was from stappers@stappers.nl (Geert Stappers) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthew Palmer <mpalmer@debian.org>:
You have taken responsibility. (Mon, 24 Jan 2011 07:51:05 GMT) Full text and rfc822 format available.

Notification sent to "Rahmat M. Samik-Ibrahim" <rms46@ui.edu>:
Bug acknowledged by developer. (Mon, 24 Jan 2011 07:51:06 GMT) Full text and rfc822 format available.

Message #53 received at 300837-done@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: 300837-done@bugs.debian.org
Subject: Bug#300837: Closing this agglomerated bug report
Date: Mon, 24 Jan 2011 18:48:34 +1100
I've read through this bug several times now, and I can't work out a single
issue which we can solve -- but every issue mentioned is either a dupe of
another bug, or is very, very severely wontfix.

I've found the following issues mentioned:

* A list of every possible packet that d-i could emit: Never going to
  happen.  There are too many possibilities, many beyond the ability of us
  mere programmers to predict (if the user decides to retry network
  configuration, more DHCP packets will be emitted, to list just one
  example).  If you really need this in your environment, find another
  network.

* Display MAC address(es): #411367.

* Indicate which NIC(s) have link: #248061.

If you have comments about any of the above issues, please take it to the
relevant bug.  If you want a wontfix bug in perpetuity to document the
request, reopen this one.  If you think there's another issue in here I
haven't noticed, please file a new bug.  This one wants to stay sleeping.

- Matt




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Feb 2011 07:31:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:53:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.